List Company Hierarchy

Returns all parent and child accounts in the hierarchy of a particular Company.

The default rate limit for this endpoint is 500 calls/min per store.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Query parameters

offsetintegerOptionalDefaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

limitintegerOptionalDefaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

Response

OK
datalist of objectsOptional
metaobjectOptional

Errors

404
Not Found Error